.trip-list {
    padding: 60px 0;
    max-width: 1260px;
    margin: 0 auto;

    display: flex;
    flex-direction: column;
    gap: 20px;
    align-items: center;
}

.trip-archive h2 {
    font-family: Outfit;
    font-weight: 600;
    font-size: 36px;
    line-height: 100%;
    letter-spacing: 2%;
    text-align: center;
    color: #0B3368;
}

.wrap-list-trip {
    width: 100%;
    display: grid;
    column-gap: 16px;
    row-gap: 24px;
    grid-template-columns: repeat(3, 1fr);
}

.card-trip-item {
    display: flex;
    flex-direction: column;
    gap: 10px;
    border-radius: 12px;
    box-shadow: 0px 0px 10px 0px #00000014;
    border: 1px solid transparent;
    overflow: hidden;
}

.card-trip-item:hover {
    border-color: var(--secondary, #FF3131);
}

.card-trip-item .card-wrapper {
    aspect-ratio: 1.43;
    position: relative;
    overflow: hidden;
}

.card-trip-item .card-wrapper a {
    width: 100%;
    height: 100%;
    display: block;
}

.card-trip-item .card-wrapper a img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 1.5s cubic-bezier(0, 0, 0.44, 1.18);
}

.card-trip-item:hover .card-wrapper a img {
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
}

.card-trip-item .card-wrapper .date-info {
    font-family: Poppins;
    font-weight: 500;
    font-size: 11px;
    line-height: 120%;
    letter-spacing: 0;
    color: #FFFFFF;
    position: absolute;
    top: 10px;
    left: 10px;
    padding: 8px 12px;
    /* backdrop-filter: blur(16px);
    background: #00000080; */
    border-radius: 20px;
}

.card-trip-item .card-wrapper .date-info span {
    z-index: 2;
    position: relative;
}

.card-trip-item .card-wrapper .date-info:after {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    backdrop-filter: blur(16px);
    background: #00000080;
    opacity: 0.8;
    z-index: 1;
    border-radius: 20px;
}

.card-trip-item .card-wrapper .route-info {
    position: absolute;
    padding: 6px 32px 6px 18px;

    font-family: Outfit;
    font-weight: 700;
    font-size: 20px;
    line-height: 100%;
    color: #FFFFFF;
    text-transform: uppercase;

    border-radius: 10px;
    bottom: 3px;
    left: 0px;
    background-image: url(../../images/route-badge-bg.svg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    width: max-content;
    min-width: 180px;
    min-height: 38px;
    display: inline-flex;
    align-items: center;
}

.card-trip-item .card-info {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 20px;
}

.card-trip-item .card-info .badges {
    font-family: Outfit;
    font-weight: 400;
    font-size: 14px;
    line-height: 100%;
    letter-spacing: 0;
    background: var(--primary, #0B3368);
    color: #FFFFFF;
    width: max-content;
    padding: 4px 28px;
    clip-path: polygon(25% 0%, 100% 0%, 75% 100%, 0% 100%);
}

.schedule-info .time-wrap {
    display: flex;
    gap: 0;
    align-items: center;
}

.schedule-info .time-start,
.schedule-info .time-end {
    font-family: Outfit;
    font-weight: 700;
    font-size: 18px;
    line-height: 100%;
    letter-spacing: 0;
    margin-left: 5px;
}

.schedule-info .point-start,
.schedule-info .point-end {
    font-family: Outfit;
    font-weight: 400;
    font-size: 18px;
    line-height: 23px;
    letter-spacing: 0;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 180px;
}

.schedule-info .location-list {
    position: relative;
}

.schedule-info .location-list:before {
    content: "";
    height: 35px;
    display: block;
    position: absolute;
    width: 0px;
    border: 1px dashed #D2D2D2;
    left: 6px;
    top: 50%;
    transform: translateY(-50%);
    z-index: 1;
}

.schedule-info .location-item {
    position: relative;
    z-index: 2;
}

.schedule-info .icon {
    color: #D2D2D2;
    font-size: 14px;
}

.schedule-info .duration-text {
    font-family: Outfit;
    font-weight: 400;
    font-size: 12px;
    line-height: 100%;
    letter-spacing: 0;
    margin: 3px 20px;
}

.schedule-info .date-wrap {
    font-family: Outfit;
    font-weight: 400;
    font-size: 12px;
    line-height: 100%;
    letter-spacing: 0;
    margin-top: 3px;
    margin-left: 20px;
}

.card-trip-item .bottom-info {
    padding: 10px 0 0 20px;
    display: flex;
    gap: 10px;
    justify-content: space-between;
    align-items: center;
}

.card-trip-item .bottom-info .price-wrap {
    display: flex;
    flex-direction: column;
    gap: 0;
}


.card-trip-item .bottom-info .price-wrap .price-label {
    font-family: Outfit;
    font-weight: 400;
    font-size: 12px;
    line-height: 15px;
    letter-spacing: 0;
    color: #102036;
}

.card-trip-item .bottom-info .price-wrap .price-value {
    font-family: Outfit;
    font-weight: 700;
    font-size: 36px;
    line-height: 45px;
    letter-spacing: 0;
    /* color: #FF3131; */
    color: #548b34;
}

.card-trip-item .bottom-info .price-wrap .price-dec {
    vertical-align: super;
    /* font-size: 12px; */
    font-size: 14px;
    line-height: 14px;
    top: -0.3em;
    position: relative;
}

.card-trip-item .bottom-info .reserve-btn {
    padding: 6px 35px;
    border-radius: 100px;
    color: #0B3368;
    background: #FFFFFF;
    border: 1px solid #D2D2D2;

    font-family: Outfit;
    font-weight: 400;
    font-size: 24px;
    line-height: 100%;
    letter-spacing: 0;
}

.card-trip-item .bottom-info .reserve-btn:hover {
    font-family: Outfit;
    font-weight: 700;
    font-size: 24px;
    line-height: 100%;
    letter-spacing: 0;
    color: #FFFFFF;

    background: #FF3131;
    border-color: #FF3131;
}

.btn-clip-poly {
    clip-path: polygon(25% 0%, 100% 0%, 75% 100%, 0% 100%);
}


.trip-filter-form {
    width: 100%;
    padding: 20px;
    background: #EDF3FD;
    border-radius: 12px;
    display: flex;
    gap: 24px;
    justify-content: center;
    align-items: center;

    font-family: Outfit;
    font-weight: 400;
    font-size: 18px;
    line-height: 22px;
    letter-spacing: 0;
}

.trip-filter-form .quick-filter {
    text-decoration: underline;
}

.trip-filter-form .search-trip-btn {
    color: #FFFFFF;
    padding: 16px 45px;
    border-radius: 12px;
    border: none !important;
    background: #0B3368;
    box-shadow: 0px 2px 0px 0px #0000000B;
    font-family: Outfit;
    font-weight: 400;
    font-size: 18px;
    line-height: 22px;
    letter-spacing: 0;
    cursor: pointer;
}

.trip-filter-form .box-input {
    display: flex;
    align-items: center;
    position: relative;
}

.trip-filter-form .input-line {
    width: 1px;
    height: 40px;
    background: #D2D2D2;
}

.trip-filter-form .input-line:before {
    content: "";
    width: 1px;
    height: 1px;
    background: #D2D2D2;
    position: absolute;
    top: 0;
}

.trip-filter-form .input-line:after {
    content: "";
    width: 1px;
    height: 1px;
    background: #D2D2D2;
    position: absolute;
    bottom: 0;
}

.trip-filter-form .input-date-from,
.trip-filter-form .input-date-to {
    padding: 16px 12px;
    border: 1px solid #D2D2D2;
    border-radius: 4px;
    width: 256px;
    max-width: 100%;

    font-family: Outfit;
    font-weight: 400;
    font-size: 18px;
    line-height: 22px;
    letter-spacing: 0;
    color: #262626;
}

.trip-filter-form .input-date-from {
    border-right: 0;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

.trip-filter-form .input-date-to {
    border-left: 0;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.trip-pagination {
    display: flex;
    gap: 0;
    justify-content: center;
}

.trip-pagination .page-number {
    width: 40px;
    height: 40px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    font-family: Outfit;
    font-weight: 400;
    font-size: 18px;
    line-height: 44px;
    letter-spacing: 0;
    color: #102036;
    cursor: pointer;
}

.trip-pagination .page-active {
    background: #0B3368;
    color: #FFFFFF;
    border-radius: 4px;
    cursor: none;
    pointer-events: none;
}

.trip-pagination .page-next i,
.trip-pagination .page-prev i {
    font-weight: 700;
}

.trip-pagination .page-next {
    width: 36px;
    height: 36px;
    margin-left: 16px;
    color: #102036;
    cursor: pointer;
}

.trip-pagination .page-prev {
    width: 36px;
    height: 36px;
    margin-right: 16px;
    color: #102036;
    cursor: pointer;
}

.trip-pagination .page-disabled {
    color: #D2D2D2;
    cursor: none;
    pointer-events: none;
}

.trip-pagination .icon:before {
    font-size: 16px;
}

@media (max-width: 992px) {
    .wrap-list-trip {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 576px) {
    .wrap-list-trip {
        grid-template-columns: 1fr;
    }
}